complexType "EquityExerciseValuationSettlement"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 4 elements
Defined: | globally in fpml-eqd-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (equityEuropeanExercise? | equityAmericanExercise? | equityBermudaExercise?), settlementDate?
</...>

Content Model Elements (4):

  equityAmericanExercise,
  equityBermudaExercise,
  equityEuropeanExercise,
  settlementDate (defined in EquityExerciseValuationSettlement complexType)

All Direct / Indirect Based Elements (2):

  equityExercise (defined in EquityDerivativeBase complexType),
  equityExercise (in varianceOptionTransactionSupplement)

Known Usage Locations

- As direct type of elements (2):
  equityExercise (defined in EquityDerivativeBase complexType),
  equityExercise (in varianceOptionTransactionSupplement)

Annotation
A type for defining exercise procedures for equity options.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="EquityExerciseValuationSettlement"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="equityEuropeanExercise" type="EquityEuropeanExercise"/> <xsd:element minOccurs="0" name="equityAmericanExercise" type="EquityAmericanExercise"/> <xsd:element minOccurs="0" name="equityBermudaExercise" type="EquityBermudaExercise"/> </xsd:choice> <!--View Generation: Skipped an empty choice.--> <!--View Generation: SKIPPED equityValuation - Documentation--> <xsd:element minOccurs="0" name="settlementDate" type="AdjustableOrRelativeDate"/> <!--View Generation: SKIPPED settlementCurrency - NonStandardFeature--> <!--View Generation: SKIPPED settlementPriceSource - NonStandardFeature--> <!--View Generation: SKIPPED settlementType - NonStandardFeature--> <!--View Generation: SKIPPED settlementMethodElectionDate - NonStandardFeature--> <!--View Generation: SKIPPED settlementMethodElectingPartyReference - NonStandardFeature--> <!--View Generation: SKIPPED settlementPriceDefaultElection - NonStandardFeature--> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
equityAmericanExercise

  Type: | EquityAmericanExercise, complex content

  The parameters for defining the exercise period for an American style equity option together with the rules governing the quantity of the underlying that can be exercised on any given exercise date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equityAmericanExercise" type="EquityAmericanExercise"/>

equityBermudaExercise

  Type: | EquityBermudaExercise, complex content

  The parameters for defining the exercise period for an Bermuda style equity option together with the rules governing the quantity of the underlying that can be exercised on any given exercise date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equityBermudaExercise" type="EquityBermudaExercise"/>

equityEuropeanExercise

  Type: | EquityEuropeanExercise, complex content

  The parameters for defining the expiration date and time for a European style equity option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equityEuropeanExercise" type="EquityEuropeanExercise"/>

settlementDate

  Type: | AdjustableOrRelativeDate, complex content

  Date on which settlement of option premiums will occur.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.